<template>
  <el-container style="height: 5000px; border: 2px solid #fff">
    <el-header style="background-color: #ffffff;color: #333;text-align: left;line-height: 60px;">
      <el-row>
        <el-col :span="20">
          <img src="../assets/logo.png"/>
        </el-col>
        <el-col :span="4">
          <el-row style="position: absolute; left: 88%; width: 10%">
            <el-col :span="8">
              <el-dropdown>
                <i class="el-icon-s-tools"></i>
                <el-dropdown-menu slot="dropdown">
                  <el-dropdown-item>账号管理</el-dropdown-item>
                  <el-dropdown-item>退出登录</el-dropdown-item>
                </el-dropdown-menu>
              </el-dropdown>
            </el-col>
            <el-col :span="8">
              <el-button type="text" @click="toRegister">{{headMsg1}}</el-button>
            </el-col>
            <el-col :span="8">
              <el-button type="text" @click="toLogin">{{headMsg2}}</el-button>
            </el-col>
          </el-row>
        </el-col>
      </el-row>
    </el-header>
    <el-container>
      <el-aside :width="sideWidth" style="background-color: #D3DCE6;color: #333;text-align: center;line-height: 200px;">
        <el-menu>
          <el-menu-item index="1">首页</el-menu-item>
          <el-menu-item index="2">餐饮</el-menu-item>
          <el-menu-item index="3">运动</el-menu-item>
          <el-menu-item index="4">订单</el-menu-item>
          <el-menu-item index="5">设置</el-menu-item>
        </el-menu>
      </el-aside>
      <el-main style="background-color: #E9EEF3;color: #333;text-align: center;line-height: 160px;">
      </el-main>
    </el-container>
  </el-container>
</template>

<script>
export default {
  name: 'helloworld',
  data () {
    return {
      sideWidth: '200px',
      disabled: false,
      headMsg1: this.$store.getters.getToken !== '' ? '欢迎' : '注册',
      headMsg2: this.$store.getters.getToken !== '' ? this.$store.getters.getUser.userName : '登录'
    }
  },
  methods: {
    toLogin: function () {
      if (this.$store.getters.getLoginStatus) {
        this.$router.push('/changeinfo')
      } else {
        this.$router.push('/login')
      }
    },
    toRegister: function () {
      if (this.$store.getters.getLoginStatus) {
        this.$router.push('/changeinfo')
      } else {
        this.$router.push('/register')
      }
    }
  }
}
</script>

<style scoped>
</style>
